LiveZilla Live Help
  • USA: +1 408 627 7616
  • UK: +44 208 123 3709
  • Australia: +61 2 9973 4499
  • NZ: 09 889 0094
design better faster funner ®
 

BricsCAD Detailed System Requirements

ID: FQ-0000258

Applies to:

  • BricsCAD Classic (Enhanced) edition
  • BricsCAD Platinum (Enhanced) edition
  • BricsCAD Pro Enhanced Edition

Question

What are the detailed system requirements for BricsCAD?

Answer

Resolution

Operating systems:

  • Windows 10
  • Windows 7 or Windows 8 / 8.1
  • Windows Vista with Service Pack 2 or later (all editions except Starter Edition)
  • Windows XP with Service Pack 3 (all editions except Starter Edition)
  • Windows Server 2008 R2
  • Windows Server 2008 with Service Pack 2 or later
  • Windows Server 2003 R2 or later (all editions)
  • Windows Server 2003 with Service Pack 2 or later (all editions)
  • Fedora / OpenSuse / Ubuntu (*)

Hardware:

  • Processor: 1 GHz processor or faster, or compatible processor.
  • RAM: 256 MB, 1 Gb or more recommended.
  • Hard Drive: 250 MB for program files + 1 GB free space.

Display:

  • 1024x768 XGA with true color (minimum)
  • Non-wireframe GPU-accelerated render modes like realistic rendering require a supported GPU (**).

 

More information

(*) Supported Linux distribution versions:

Bricsys has chosen to support Fedora, OpenSuse and Ubuntu. For the distribution versions being supported in BricsCAD (Linux), we follow the official support periods as offered by the creators of Fedora / OpenSuse / Ubuntu.

BricsCAD (Linux) is built on the oldest Ubuntu LTS that is supported for the desktop. For instance, at time of writing (2012/04), Ubuntu 10.04 LTS is the oldest Ubuntu LTS that is still supported for the desktop. In practice, BricsCAD (Linux) can run on almost any distribution that is newer than Ubuntu 10.04.

We receive many support requests for other versions or other distributions. As a rule of thumb, if we can reproduce the reported issue in one of the supported distribution versions, we provide support for it.

(**) BricsCAD's non-wireframe GPU-accelerated render modes are based on Redsdk technology from Redway3D®.
These render modes require a supported GPU (graphic processing unit), either on a video card or on the motherboard.

On Windows, Redsdk is supported on following video chipsets:

NVIDIA chipsets

  • GeForce 8 Series
  • GeForce 9 Series
  • GeForce GTX Series

AMD ATI chipsets

  • R600 family
  • R700 family

INTEL chipsets

  • GMA 4000 family

A detailed overview can be found here: http://www.redway3d.com/pages/GPUList.php
The latest video drivers are typically required and can be found here: http://www.redway3d.com/pages/driversList.php 

About supported video chipsets for Redsdk on Linux:

  • NVIDIA graphic cards are supported. It is advised to use the latest recommended driver from NVIDIA.
  • ATI cards are supported. It is advised to use the latest recommended driver from ATI/AMD.
  • It is currently not possible to install a NVIDIA or ATI driver on a laptop with dual graphics. As a result, RedSDK on linux is not supported on laptops with an INTEL Core i3, i5 or i7. This is due to a limit in the X server implementation that is not capable of handling several display adapters. This restriction is not specific to RedSDK. There is no solution possible on our side.
  • INTEL cards are not supported. Drivers for INTEL cards are normally pre-installed with the Linux distribution, but they typically don't include any 3D acceleration.

More detailed driver recommendations for chipsets on Linux are in preparation.

 

Specials

  • CAD Support from $0.55 per day!
  • The Best CAD Online Training

Free Tools

CAD Club: Join us Free

Free Tips & Tricks,
Exclusive Offers and more...